%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Event
Version:       1.28
Release:       2mamba
Summary:       perl :: Event - A Generic Perl Event Loop
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Event/Event-%{version}.tar.gz
License:       Artistic, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
This extension aims to provide an simple and optimized event loop for a broad class of applications.

%prep
%setup -q -n Event-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 1.28-2mamba
- rebuilt with perl 5.36.0

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic version update by autodist

* Sun Aug 04 2019 Automatic Build System <autodist@mambasoft.it> 1.27-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26-2mamba
- rebuilt with perl 5.24

* Mon Aug 29 2016 Automatic Build System <autodist@mambasoft.it> 1.26-1mamba
- automatic update by autodist

* Sat Mar 14 2015 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic update by autodist

* Tue Jul 29 2014 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic update by autodist

* Tue Jan 08 2013 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20-2mamba
- perl 5.16 mass rebuild

* Fri Jul 29 2011 Automatic Build System <autodist@mambasoft.it> 1.20-1mamba
- automatic update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 1.19-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic update by autodist

* Sat May 07 2011 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Thu Aug 27 2009 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-2mamba
- automatic rebuild by autodist

* Wed Jul 02 2008 gil <puntogil@libero.it> 1.11-1mamba
- update to 1.11

* Wed Nov 07 2007 Aleph0 <aleph0@openmamba.org> 1.09-1mamba
- update to 1.09

* Thu Oct 07 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.00-2qilnx
- rebuilt and moved from devel-contrib to devel branch

* Wed Sep 22 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.00-1qilnx
- First Build

